CUT(1)

NUME
cut - elimină secțiuni din fiecare linie de fișiere

SINOPSIS
cut [OPȚIUNE]... [FIȘIER]...

DESCRIERE

Imprimă părțile selectate ale liniilor din fiecare FIȘIER la ieșirea standard.

Fără FIȘIER, sau când FIȘIER este „-”, citește intrarea standard.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-b, --bytes=LISTĂ
    selectează doar acești octeți

-c, --characters=LISTĂ
    selectează doar aceste caractere

-d, --delimiter=DELIMITATOR
    utilizează DELIMITATOR în loc de TAB pentru delimitarea câmpului

-f, --fields=LISTĂ
    selectează numai aceste câmpuri; de asemenea, imprimă orice linie care nu conține niciun caracter de delimitare, cu excepția cazului în care este specificată opțiunea -s.

-n  (ignorată)

--complement
    completează setul de octeți, caractere sau câmpuri selectate

-s, --only-delimited
    nu afișează linii care nu conțin delimitatori

--output-delimiter=ȘIR
    utilizează ȘIR ca delimitator de ieșire, implicit este să utilizeze delimitatorul de intrare

-z, --zero-terminated
    delimitatorul de linie este NUL, nu linie nouă

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Utilizează unul și numai unul dintre -b, -c sau -f. Fiecare LISTĂ este alcătuită dintr-un interval sau mai multe intervale separate prin virgule. Intrarea selectată este scrisă în aceeași ordine în care este citită și este scrisă exact o singură dată. Fiecare interval este unul dintre:

N   Al N-lea octet, caracter sau câmp, numărat de la 1

N-  de la al N-lea octet, caracter sau câmp, până la sfârșitul liniei

N-M de la al N-lea la al M-lea (inclusiv) octet, caracter sau câmp

-M  de la primul până la al M-lea (inclusiv) octet, caracter sau câmp

AUTOR
Scris de David M. Ihnat, David MacKenzie și Jim Meyering.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/cut>
saul local rulând comanda: «info '(coreutils) cut invocation'»

Împachetat de Debian (9.7-2)
Drepturi de autor © 2025 Free Software Foundation, Inc.
Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți.
Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.